cURL
curl --request GET \
--url https://cmd.illusory.io/v1/proxies/changeip/{limitedApiKey}/{proxyName}import requests
url = "https://cmd.illusory.io/v1/proxies/changeip/{limitedApiKey}/{proxyName}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cmd.illusory.io/v1/proxies/changeip/{limitedApiKey}/{proxyName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"message": "Reset proxy command sent to device successfully.",
"data": {
"proxy_name": "ILL-US-AU1-9999",
"last_ip_change": "2050-12-04T17:43:16.407+00:00"
}
}{
"ok": false,
"data": {
"proxy_name": "ILL-US-AU1-9999"
},
"message": "Proxy not found"
}Proxy Actions
Change Proxy IP by Link
Changes the external mobile IP using a link and Limited API key.
GET
/
v1
/
proxies
/
changeip
/
{limitedApiKey}
/
{proxyName}
cURL
This endpoint is intended for use with
Limited API keys and is less secure than the POST method, as the API key
is exposed in the URL. For a more secure method, follow the instructions here: Change IP.Path Parameters
Replace {limitedApiKey} in the url path with YOUR_LIMITED_API_KEY.
Replace {proxyName} in the url path with YOUR_PROXY.
Was this page helpful?
⌘I